FactoryBot.define do
  factory :chargeable_service, class: 'Mks::Rate::ChargeableService' do
    code { FFaker::Name.unique.name }
    name { FFaker::Name.name }
    association :service_type
    association :base_unit, factory: :unit_of_charge
    association :utilization_unit, factory: :unit_of_charge
    association :service_delivery_unit
  end
end